import {
  LogLevelDebug,
  LogLevelError,
  LogLevelInfo,
  LogLevelWarn
} from "./chunk-E6MPGGAE.js";

// src/common/log/log-console-capture.ts
var onlyOnce;
function logCaptureConsole(log) {
  if (onlyOnce) {
    log.error("use logCaptureConsole only once!");
    return;
  }
  onlyOnce = true;
  globalThis.console.log = (...args) => log.generic(LogLevelDebug, ...args);
  globalThis.console.debug = (...args) => log.generic(LogLevelDebug, ...args);
  globalThis.console.warn = (...args) => log.generic(LogLevelWarn, ...args);
  globalThis.console.error = (...args) => log.generic(LogLevelError, ...args);
  globalThis.console.info = (...args) => log.generic(LogLevelInfo, ...args);
  globalThis.addEventListener?.("unhandledrejection", (event) => {
    log.generic(LogLevelError, "onUnhandledrejection", event);
  });
  globalThis.addEventListener?.("error", (event) => {
    log.generic(LogLevelError, "onError", event);
  });
}

export {
  logCaptureConsole
};
//# sourceMappingURL=chunk-UCAOYOM5.js.map